# CompactBlockProgress

    public enum CompactBlockProgress

Undocumented

- `download(_:)`

  Undocumented

  #### Declaration

  Swift

      case download(_: BlockProgress)

- `validate`

  Undocumented

  #### Declaration

  Swift

      case validate

- `scan(_:)`

  Undocumented

  #### Declaration

  Swift

      case scan(_: BlockProgress)

- `enhance(_:)`

  Undocumented

  #### Declaration

  Swift

      case enhance(_: EnhancementStreamProgress)

- `fetch`

  Undocumented

  #### Declaration

  Swift

      case fetch

- `progress`

  Undocumented

  #### Declaration

  Swift

      public var progress: Float { get }

- `progressHeight`

  Undocumented

  #### Declaration

  Swift

      public var progressHeight: BlockHeight? { get }

- `blockDate`

  Undocumented

  #### Declaration

  Swift

      public var blockDate: Date? { get }

- `targetHeight`

  Undocumented

  #### Declaration

  Swift

      public var targetHeight: BlockHeight? { get }

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.